[popt] secure_getenv.c: secure_getenv() wrapper for systems that don't have it.